
class ProductSource():
  @classmethod
  def get_source_url(cls, source, source_id):
    if source == 'AMZ_US':
      source_url = 'https://www.amazon.com/dp/{}'.format(source_id)
    elif source == 'AMZ_UK':
      source_url = 'https://www.amazon.co.uk/dp/{}'.format(source_id)
    elif source == 'AMZ_JP':
      source_url = 'https://www.amazon.co.jp/dp/{}'.format(source_id)
    elif source == 'Ebay' or source == 'Ebay_US':
      source_url = 'https://www.ebay.com/itm/{}'.format(source_id)
    elif source == 'Ebay_UK':
      source_url = 'https://www.ebay.co.uk/itm/{}'.format(source_id)
    elif source == 'Aliexpress':
      source_url = 'https://www.aliexpress.com/item/{}.html'.format(source_id)
    elif source == 'Coupang':
      source_url = 'https://www.coupang.com/vp/products/{}'.format(source_id)
    elif source == 'Rakuten':
      source_url = 'https://item.rakuten.co.jp{}'.format(source_id)
    elif source == 'EM':
      source_url = 'https://everymarket.com/products/{}'.format(source_id)
    else:
      source_url = ''

    return source_url
